Name:		kiran-cpanel-timedate
Version:	2.2.0
Release:  	5
Summary:	Time And Date Manager
Summary(zh_CN): 设置本地系统的时间和日期

License: 	Mulan PSL v2
#URL:
Source0:	%{name}-%{version}.tar.gz

Patch0001: 0000-fix-timedate-fixed-issue-where-month-1-could-not-adj-c152213d.patch
Patch0002: 0001-fix-control-center-fix-kiran-session-time-date-manag-d10ba418.patch
Patch0003: 0001-fix-display-format-settings-Change-header-file-name-.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libX11-devel
BuildRequires:  libXrandr-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  gsettings-qt-devel
BuildRequires:  qt5-linguist
BuildRequires:  kiran-widgets-qt5-devel
BuildRequires:  kiran-cc-daemon-devel
BuildRequires:  kiran-log-qt5-devel
BuildRequires:  kiran-control-panel-devel

Requires:     libX11
Requires:     libXrandr
Requires:     qt5-qtbase
Requires:     qt5-qtsvg
Requires:     gsettings-qt
Requires:     kiran-system-daemon
Requires:     kiran-widgets-qt5
Requires:     kiran-log-qt5
Requires:     kiran-cpanel-launcher
Requires:     gtk-update-icon-cache

Obsoletes:    kiran-timedate-manager

%description
Time And Date Manager

%prep
%autosetup -p 1

%build
%{__mkdir} -p %{buildroot}
%cmake
make %{?_smp_mflags}

%install
%make_install

%post
gtk-update-icon-cache -f /usr/share/icons/hicolor/

%posttrans
%define link_source %{_datadir}/kiran-control-panel/plugins/desktop/%{name}.desktop
%define link_target %{_datadir}/applications/%{name}.desktop
if [ ! -e %{link_target} ] ; then 
	ln -sf %{link_source} %{link_target}
	echo "link %{link_source} -> %{link_target}"
fi

%files
%doc
%{_datadir}/kiran-control-panel/plugins/libs/libkiran-cpanel-timedate.so*
%{_datadir}/kiran-control-panel/plugins/desktop/*
%{_datadir}/icons/hicolor/*
%{_datadir}/kiran-cpanel-timedate/translations/*.qm
%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%changelog
* Fri Oct 28 2022 luoqing <luoqing@kylinsec.com.cn> - 2.2.0-5
- KYOS-B: Change header file name to fix compilation errors

* Tue Mar 01 2022 longcheng <longcheng@kylinos.com.cn> - 2.2.0-4
- KYOS-B: Add Requires gtk-update-icon-cache

* Thu Feb 24 2022 chendingjian <chendingjian@kylinos.com.cn> - 2.2.0-3
- rebuild for KY3.4-MATE-modules-dev

* Thu Dec 30 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.2.0-2.kb2
- KYOS-B: fixed issue where month 1 could not adjust date (#47649)
- KYOS-B: fixed kiran session time date management is not displayed in the control panel

* Wed Dec 29 2021 kpkg <kpkg@kylinos.com.cn> - 2.2.0-2.kb1
- rebuild for KY3.4-MATE-modules-dev

* Wed Dec 29 2021 caoyuanji<caoyuanji@kylinos.com.cn> - 2.2.0-2
- Upgrade version number for easy upgrade

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-1.kb2
- rebuild for KY3.4-4-KiranUI-2.2

* Mon Dec 20 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 2.2.0-1.kb1
- rebuild for KY3.4-4-KiranUI-2.2

* Thu Dec 02 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.2.0-1
- KYBD: rebuild for 2.2,changed required name to kiran-widgets-qt5

* Thu Dec 02 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.0-4.kb2
- KYBD: changed required name to kiranwidgets-qt5

* Fri Nov 05 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.0-4.kb1
- KYBD: changed required name and license

* Tue Aug 03 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.0-3.kb1
- KYOS-B: siderbar display hour format (#42082)

* Tue Jul 20 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.0-2.kb1
- KYOS-B: install desktop link 

* Thu Jun 17 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.1.0-1.kb1
- KYOS-B: fix the problem that the date and time setting does not take effect 

* Wed Jun 09 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.3-1.kb1
- KYOS-F: build for KiranControlPanel plugin

* Tue Mar 09 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.2-2.kb1
- KYOS-F: the date and time display format under the dial changes with the setting 

* Mon Mar 08 2021 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.2-1.kb1
- KYOS-F: add timedate format settings
- KYOS-F: support kiran-control-center arch

* Thu Nov 26 2020 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.1-1.kb2
- KYBD: rebuild for kiranwidgets-qt5-2

* Mon Nov 09 2020 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.1-1.kb1
- KYOS-F: rename service name

* Tue Sep 29 2020 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.1+alpha6
- KYOS-F: change kiran-timedate-manager to single instance

* Tue Sep 29 2020 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.1+alpha5
- KYOS-F: extend clock update time to one second 
- KYOS-B: the minimum number of days is 1 

* Sun Sep 27 2020 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.1+alpha4
- KYOS-F: using kiranwidgets-qt5 KiranTitlebarWindow 

* Sat Sep 19 2020 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.1~alpha3
- KYOS-F: do not handle scaling

* Sat Sep 19 2020 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.1~alpha2
- KYOS-B: the currently selected item is centered,scroll picker hover effect
- KYOS-F: fix search timezone switch to show all time zone dont't scroll current item to middle 

* Thu Sep 17 2020 liuxinhao <liuxinhao@kylinos.com.cn> - 2.0.1~alpha1
- Initial build
